﻿using JewelryStoreDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreDataModels.Models
{
    public interface IOrderModel : IId
    {
        int JewelId { get; }
        string JewelName { get; }

		int ClientId { get; }
		int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }

}
